Removed Wire 2.0 support. Update default Wire library to 1.8.0

Review Request #3124 - Created Nov. 14, 2015 and submitted

Information
Eric Ayers
pants
zundel/remove-wire-2.0-support
2336, 2564
3123
ca30813...
Reviewers
pants-reviews
gmalmquist

Updated the default Wire library to Wire 1.8.0, the latest version of 1.x release branches.

Removed the 2.x support because the released 2.0 version of Wire was very different than what we have implemented here.

The Square internal repo uses an internally written code generation interface to make it work. I've thrown our internal plugin over the fence at

https://github.com/ericzundel/mvn2pants/tree/master/src/python/squarepants/plugins/sake_wire_codegen

CI passed @ https://travis-ci.org/pantsbuild/pants/builds/91119601

Eric Ayers
Stu Hood
Garrett Malmquist
Eric Ayers
Review request changed

Status: Closed (submitted)

Change Summary:

Thanks Stu & Garrett. Commit 1c2ec9a

Loading...